{% extends "base.html" %}
{% block body %}
    {% if edit %}
        <h2>FQDN bearbeiten</h2>
        {% if ntree.fqdn_sub_count > 0 or ntree.fqdn_has_rr %}
            <div class="alert alert-warning" role="alert">
                <p><b><i class="fa fa-exclamation-triangle"></i></b> Bitte beachten Sie folgende Zusammenhänge:</p>
                Der FQDN...
                <ul>
                    {% if ntree.fqdn_sub_count > 0 %}
                        <li>
                            enthält <a
                                href="{{ url_for('dnsvs.inspect_fqdn', fqdn=ntree.fqdn) }}">{{ ntree.fqdn_sub_count }}
                            FQDNs</a>
                        </li>
                    {% endif %}
                    {% if ntree.fqdn_has_rr %}
                        <li>besitzt <a
                                href="{{ url_for('dnsvs.inspect_fqdn_recs', fqdn=ntree.fqdn) }}">Resource-Records</a>
                        </li>
                    {% endif %}
                </ul>
            </div>
        {% endif %}
    {% else %}
        <h2>Neuen FQDN anlegen</h2>
    {% endif %}
    <form method="post" action="">
        {{ fqdn_form.hidden_tag() }}
        <div class="form-group" id="typeahead">
            <label for="fqdn">FQDN</label>
            <input class="form-control {% if fqdn_form.fqdn.errors|length > 0 %}is-invalid{% endif %}"
                   id="fqdn" type="text" name="fqdn" placeholder=""
                   value="{{ fqdn_form.fqdn.data }}" required>
            {% if fqdn_form.fqdn.errors %}
                <div class="invalid-feedback">
                    <ul>
                        {% for e in fqdn_form.fqdn.errors %}
                            <li>{{ e }}</li>
                        {% endfor %}
                    </ul>
                </div>
            {% endif %}
        </div>
        <div class="form-group form-group-inline">
            <label for="fqdn-descr">{{ colnames['NTree']['description'].short_title_abs }}</label>
            <input class="form-control {% if fqdn_form.description.errors|length > 0 %}is-invalid{% endif %}"
                   id="fqdn-descr" type="text" name="{{ fqdn_form.description.name }}"
                   value="{{ fqdn_form.description.data }}">
            {% if fqdn_form.description.errors %}
                <div class="invalid-feedback">
                    <ul>
                        {% for e in fqdn_form.description.errors %}
                            <li>{{ e }}</li>
                        {% endfor %}
                    </ul>
                </div>
            {% endif %}
        </div>

        <div class="form-group">
            <label for="inttype">FQDN-Typ</label>
            <select class="form-control" id="inttype" name="{{ fqdn_form.inttype.name }}">
                {% for i in fqdn_form.inttype.choices %}
                    <option {% if fqdn_form.inttype.data == i[0] -%} selected {%- endif %} value="{{ i[0] }}">
                        {{ i[1] }}</option>
                {% endfor %}
            </select>
        </div>
        <a href="{{ return_url }}" class="btn btn-outline-danger">Zurück</a>
        <button type="reset" class="btn btn-outline-reset">Eingaben zurücksetzen</button>
        {% if edit %}
            <button type="submit" class="btn btn-outline-primary"
                    title="FQDN-Änderung in aktuelle Transaktion übernehmen">Änderungen in Transaktion übernehmen
            </button>
        {% else %}
            <button type="submit" class="btn btn-outline-success"
                    title="FQDN-Eintragung in aktuelle Transaktion übernehmen">FQDN in Transaktion übernehmen
            </button>
        {% endif %}
    </form>
{% endblock %}
{% block post_script %}
    <script src="/static/js/node_modules/typeahead.js/dist/typeahead.bundle.js"></script>
{% endblock %}